package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.MonDevTcReal;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备数据-陶瓷-实时 保存设备的实时数据对象 mon_dev_tc_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-陶瓷-实时 保存设备的实时数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonDevTcRealQuery extends PageQuery
{

    @ApiModelProperty(value = "数据ID")
    private Long dataId;
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;
    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;
    @ApiModelProperty(value = "数据时间")
    private String dataTime;
    @ApiModelProperty(value = "入料_原料配比后的总重量 千克 ")
    private String g983;
    @ApiModelProperty(value = "煤气发生炉_供气量 立方纳米/小时")
    private String g987;
    @ApiModelProperty(value = "喷雾干燥塔_水分蒸发量  单位：千克/小时")
    private String g988;
    @ApiModelProperty(value = "喷雾干燥塔_供气量 单位：立方纳米/小时")
    private String g989;
    @ApiModelProperty(value = "辊道窑、隧道窑_水分蒸发量 单位：千克/小时")
    private String g990;
    @ApiModelProperty(value = "辊道窑、隧道窑_供气量 单位：立方纳米/小时")
    private String g991;
    @ApiModelProperty(value = "液氨/氨水储存区_氨气泄漏报警信号 无量纲 N1 1报警，0不报警")
    private String g985;
    @ApiModelProperty(value = "储油罐区_VOCs 在线监测数据或超标报警数据 单位：毫克/立方米")
    private String g986;
    @ApiModelProperty(value = "脱硫_湿法脱硫剂使用量 单位：千克")
    private String g140;
    @ApiModelProperty(value = "脱硫_干法脱硫剂使用量 单位：千克")
    private String gb08;
    @ApiModelProperty(value = "半干法脱硫_脱硫剂使用量  单位：千克")
    private String gb09;
    @ApiModelProperty(value = "脱硫_脱硫剂仓料（液）位 米 N6.2 与 CEMS 时间同步")
    private String g141;
    @ApiModelProperty(value = "脱硝_脱硝剂（还原剂或氧化剂）使用量 单位:千克")
    private String g313;
    @ApiModelProperty(value = "脱硝_脱硝剂仓料（液）位 单位：米")
    private String g314;
    @ApiModelProperty(value = "脱硝_反应器入口烟气温度（SCR 工艺） 单位：摄氏度 ")
    private String g329;
    @ApiModelProperty(value = "袋式除尘器_风机电流 单位：安[培]")
    private String g604;
    @ApiModelProperty(value = "袋式除尘器_清灰周期 单位：小时 ")
    private String g605;
    @ApiModelProperty(value = "袋式除尘器_压差 单位：千帕")
    private String g601;
    @ApiModelProperty(value = "静电除尘器_一次电压 单位：伏[特]")
    private String g501;
    @ApiModelProperty(value = "静电除尘器_一次电流 单位：安[培]")
    private String g502;
    @ApiModelProperty(value = "静电除尘器_二次电压 单位：伏[特] ")
    private String g503;
    @ApiModelProperty(value = "静电除尘器_二次电流 单位：安[培] ")
    private String g504;
    @ApiModelProperty(value = "附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...}")
    private String addiParam;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<MonDevTcReal> createLambdaQueryWrapper(MonDevTcRealQuery query) {
        QueryWrapper<MonDevTcReal> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getDataId()), "data_id", query.getDataId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeviceId()), "device_id", query.getDeviceId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTimeType()), "time_type", query.getTimeType());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataTime()), "data_time", query.getDataTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getG983()), "g983", query.getG983());
        wrapper.eq(ObjectUtil.isNotNull(query.getG987()), "g987", query.getG987());
        wrapper.eq(ObjectUtil.isNotNull(query.getG988()), "g988", query.getG988());
        wrapper.eq(ObjectUtil.isNotNull(query.getG989()), "g989", query.getG989());
        wrapper.eq(ObjectUtil.isNotNull(query.getG990()), "g990", query.getG990());
        wrapper.eq(ObjectUtil.isNotNull(query.getG991()), "g991", query.getG991());
        wrapper.eq(ObjectUtil.isNotNull(query.getG985()), "g985", query.getG985());
        wrapper.eq(ObjectUtil.isNotNull(query.getG986()), "g986", query.getG986());
        wrapper.eq(ObjectUtil.isNotNull(query.getG140()), "g140", query.getG140());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb08()), "gb08", query.getGb08());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb09()), "gb09", query.getGb09());
        wrapper.eq(ObjectUtil.isNotNull(query.getG141()), "g141", query.getG141());
        wrapper.eq(ObjectUtil.isNotNull(query.getG313()), "g313", query.getG313());
        wrapper.eq(ObjectUtil.isNotNull(query.getG314()), "g314", query.getG314());
        wrapper.eq(ObjectUtil.isNotNull(query.getG329()), "g329", query.getG329());
        wrapper.eq(ObjectUtil.isNotNull(query.getG604()), "g604", query.getG604());
        wrapper.eq(ObjectUtil.isNotNull(query.getG605()), "g605", query.getG605());
        wrapper.eq(ObjectUtil.isNotNull(query.getG601()), "g601", query.getG601());
        wrapper.eq(ObjectUtil.isNotNull(query.getG501()), "g501", query.getG501());
        wrapper.eq(ObjectUtil.isNotNull(query.getG502()), "g502", query.getG502());
        wrapper.eq(ObjectUtil.isNotNull(query.getG503()), "g503", query.getG503());
        wrapper.eq(ObjectUtil.isNotNull(query.getG504()), "g504", query.getG504());
        wrapper.eq(ObjectUtil.isNotNull(query.getAddiParam()), "addi_param", query.getAddiParam());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        return wrapper;
        }
}
